BDU:2018-00197: Уязвимость функции IPC::Connection::processMessage UNIX IPC ядра отображения веб-страниц WebKitGTK+, позволяющая нарушителю вызвать переполнение буфера

Описание уязвимости

Уязвимость функции IPC::Connection::processMessage UNIX IPC ядра отображения веб-страниц WebKitGTK+ вызвана неправильной проверкой размера сообщений. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать переполнение буфера в процессе пользовательского интерфейса

Вендор

The WebKitGTK+ Team

Наименование ПО

WebKitGTK+

Версия ПО

  • до 2.16.3

Тип ПО

Прикладное ПО информационных систем

Операционные системы и аппаратные платформы

Данные уточняются

Тип ошибки

Целочисленное переполнение или циклический сдвиг

Идентификатор типа ошибки

Класс уязвимости

Уязвимость кода

Дата выявления

19.05.2017

Базовый вектор уязвимости

Уровень опасности уязвимости

Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению уязвимости

Использование рекомендаций:
https://webkitgtk.org/security/WSA-2017-0007.html

Статус уязвимости

Подтверждена производителем

Наличие эксплойта

Данные уточняются

Способ эксплуатации

  • Манипулирование структурами данных

Способ устранения

Обновление программного обеспечения

Информация об устранении

Уязвимость устранена

Идентификаторы других систем описаний уязвимостей

Прочая информация

Уязвимость не затрагивает продукты Apple
Последние изменения